ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:campfire_cooking",
  "experience": 0.1,
  "cookingtime": 300,
  "ingredient": {
    "item": "seeddelight:pinecone"
  },
  "result": "seeddelight:pine_nut_kernel"
    })
    event.custom({
  "type": "minecraft:smelting",
  "experience": 0.1,
  "cookingtime": 100,
  "ingredient": {
    "item": "seeddelight:pinecone"
  },
  "result": "seeddelight:pine_nut_kernel"
    })
    event.custom({
  "type": "minecraft:smoking",
  "experience": 0.2,
  "cookingtime": 50,
  "ingredient": {
    "item": "seeddelight:pinecone"
  },
  "result": "seeddelight:pine_nut_kernel"
    })
    event.remove({output:'seeddelight:pine_nut_kernel'})
})